<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Course 365 - Learning with unlimited! v1.1</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

  <!-- Các file css và js tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <script src="script.js"></script>
</head>

<body>
  <!-- 1. Header - Navbar menu -->
  <nav class="navbar navbar-expand-lg navbar-light  fixed-top" style="background-color: #AFDCF1;">
    <a class="navbar-brand" href="#">
      <img src="images/Ionic_logo.png" alt="">
    </a>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            Browse courses
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="#">Web Development</a>
            <a class="dropdown-item" href="#">Mobile App</a>
            <a class="dropdown-item" href="#">Desktop App</a>
          </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            About Us
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="#">Vision & Mission</a>
            <a class="dropdown-item" href="#">Team</a>
            <a class="dropdown-item" href="#">Contact Us</a>
          </div>
        </li>
      </ul>
      <form class="form-inline my-2 my-lg-0">
        <input class="form-control mr-sm-4" type="search" placeholder="&#x1F50D Search Courses" aria-label="Search">
        <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">Search</button>
      </form>
    </div>
  </nav>
  <!-- 2. Slide body -->
  <div class="container-fluid slider-fix-padding">
    <div class="row  d-flex align-items-center">
      <div class="col-sm-6 mx-auto">
        <div class="container w-75">
          <h3 class="text-white font-weight-bold">Welcome to Ionic Course365 Learning Center</h3>
          <p class="text-white">Ionic Course365 is an online learning and teaching marketplace with over 5000 courses
            and 1 million students. Instructor and expertly crafted courses, designed for the modern students and
            entrepreneur.</p>
          <button class="btn btn-warning">Browser Courses</button>
          <button class="btn btn-light">Become an Instructor</button>
        </div>
      </div>
      <div class="col-sm-6">
        <div id="img-slider" class="carousel slide" data-ride="carousel">
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-50" src="./images/ionic-207965.png" alt="First slide">
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- 3. Courses content -->
  <div class="container-fluid" style="background-color: #AFDCF1;">
    <!--         Recommend courses         -->
    <div id="recommended-course" class="container align-form">
      <h3 class="align-form">Recommend to you</h3>
      <div class="card-deck">
        <div class="card pointer">
          <img src="./images/courses/course-angular.jpg" alt="angular">
          <div class="card-body">
            <h5 class="text-info">How to easily create a website with Angular</h5>
            <div class="">
              <i class="far fa-clock"></i> 3h 56m Beginner
            </div>
            <div class="font-weight-bold">
              $600 <s class="text-secondary">$750</s>
            </div>
          </div>
          <div class="card-footer bg-footer d-flex justify-content-between form-inline">
            <img src="./images/teacher/morris_mccoy.jpg" alt="avatar1" class="img-avatar">
            <div class="name-teacher">Morris Mccoy </div>
            <i class="fas fa-bookmark text-right"></i>
          </div>
        </div>

        <div class="card pointer">
          <img src="./images/courses/course-python.jpg" alt="python">
          <div class="card-body">
            <h5 class="text-info">The Python Course: build web application</h5>
            <div class="">
              <i class="far fa-clock"></i> 4h 30m Advanced
            </div>
            <div class="font-weight-bold">
              $900 <s class="text-secondary">$1050</s>
            </div>
          </div>
          <div class="card-footer bg-footer d-flex justify-content-between form-inline">
            <img src="./images/teacher/claire_robertson.jpg" alt="avatar1" class="img-avatar">
            <div class="name-teacher">Claire Robertson </div>
            <i class="fas fa-bookmark text-right"></i>
          </div>
        </div>

        <div class="card pointer">
          <img src="./images/courses/course-graphql.jpg" alt="angular">
          <div class="card-body height-content">
            <h5 class="text-info">GraphQL: introduction to graphQL for beginners</h5>
            <div class="">
              <i class="far fa-clock"></i> 2h 15m Intermediate
            </div>
            <div class="font-weight-bold">
              $650 <s class="text-secondary">$850</s>
            </div>
          </div>
          <div class="card-footer bg-footer d-flex justify-content-between form-inline">
            <img src="./images/teacher/ted_hawkins.jpg" alt="avatar1" class="img-avatar">
            <div class="name-teacher">Ted Hawkins </div>
            <i class="fas fa-bookmark text-right"></i>
          </div>
        </div>

        <div class="card pointer">
          <img src="./images/courses/course-javascript.jpg" alt="angular">
          <div class="card-body">
            <h5 class="text-info">Getting Started with Javascript</h5>
            <div class="">
              <i class="far fa-clock"></i> 3h 34m Beginner
            </div>
            <div class="font-weight-bold">
              $300 <s class="text-secondary">$550</s>
            </div>
          </div>
          <div class="card-footer bg-footer d-flex justify-content-between form-inline">
            <img src="./images/teacher/ted_hawkins.jpg" alt="avatar1" class="img-avatar">
            <div class="name-teacher">Ted Hawkins </div>
            <i class="fas fa-bookmark text-right"></i>
          </div>
        </div>

      </div>
    </div>
    <!--         Most popular courses         -->
    <div class="container align-form">
      <h3 class="align-form">Most popular</h3>
      <div id="popular" class="card-deck">


        <!-- <div class="card pointer">
            <img src="./images/courses/course-javascript.jpg" alt="angular">
            <div class="card-body">
              <h5 class="text-info">Getting Started with Javascript</h5>
              <div class="">
                <i class="far fa-clock"></i> 3h 34m  Beginner
              </div>
              <div class="font-weight-bold">
                $300 <s class="text-secondary">$550</s>
              </div>
            </div>
            <div class="card-footer bg-footer d-flex justify-content-between form-inline">
              <img src="./images/teacher/ted_hawkins.jpg" alt="avatar1" class="img-avatar">
                 <div class="name-teacher">Ted Hawkins </div>  
                 <i class="fas fa-bookmark text-right"></i>
            </div>
          </div>
          
            <div class="card pointer">
              <img src="./images/courses/course-wordpress.jpg" alt="angular">
              <div class="card-body height-content">
                <h5 class="text-info">Complete Wordpress themes & plugins</h5>
                <div class="">
                  <i class="far fa-clock"></i> 4h 30m  Intermediate
                </div>
                <div class="font-weight-bold">
                  $900 <s class="text-secondary">$1050</s>
                </div>
              </div>
              <div class="card-footer bg-footer d-flex justify-content-between form-inline">
                <img src="./images/teacher/clevaio_simon.jpg" alt="avatar1" class="img-avatar">
                   <div class="name-teacher">Clevaio Simon </div>  
                   <i class="fas fa-bookmark text-right"></i>
              </div>
            </div>
          
            <div class="card pointer">
              <img src="./images/courses/course-graphql.jpg" alt="angular">
              <div class="card-body height-content">
                <h5 class="text-info">GraphQL: introduction to graphQL for beginners</h5>
                <div class="">
                  <i class="far fa-clock"></i> 2h 15m  Intermediate
                </div>
                <div class="font-weight-bold">
                  $650 <s class="text-secondary">$850</s>
                </div>
              </div>
              <div class="card-footer bg-footer d-flex justify-content-between form-inline">
                <img src="./images/teacher/ted_hawkins.jpg" alt="avatar1" class="img-avatar">
                   <div class="name-teacher">Ted Hawkins </div>  
                   <i class="fas fa-bookmark text-right"></i>
              </div>
            </div> -->
      </div>
    </div>
    <!--         Trending courses         -->
    <div class="container align-form mt-n5">
      <h3 class="align-form">Trending</h3>
      <div id="trending" class="card-deck">
        <!-- <div class="card pointer">
            <img src="./images/courses/course-javascript.jpg" alt="angular">
            <div class="card-body">
              <h5 class="text-info">Getting Started with Javascript</h5>
              <div class="">
                <i class="far fa-clock"></i> 3h 34m  Beginner
              </div>
              <div class="font-weight-bold">
                $300 <s class="text-secondary">$550</s>
              </div>
            </div>
            <div class="card-footer bg-footer d-flex justify-content-between form-inline">
              <img src="./images/teacher/ted_hawkins.jpg" alt="avatar1" class="img-avatar">
                 <div class="name-teacher">Ted Hawkins </div>  
                 <i class="fas fa-bookmark text-right"></i>
            </div>
          </div>
  
          <div class="card pointer">
            <img src="./images/courses/course-angular.jpg" alt="angular">
            <div class="card-body">
              <h5 class="text-info">How to easily create a website with Angular</h5>
              <div class="">
                <i class="far fa-clock"></i> 3h 56m  Beginner
              </div>
              <div class="font-weight-bold">
                $600 <s class="text-secondary">$750</s>
              </div>
            </div>
            <div class="card-footer bg-footer d-flex justify-content-between form-inline">
              <img src="./images/teacher/morris_mccoy.jpg" alt="avatar1" class="img-avatar">
                 <div class="name-teacher">Morris Mccoy </div>  
                 <i class="fas fa-bookmark text-right"></i>
            </div>
          </div>
          
          <div class="card pointer">
            <img src="./images/courses/course-css.jpg" alt="angular">
            <div class="card-body">
              <h5 class="text-info">CSS Ulitimate CSS course from beginner to advanced</h5>
              <div class="">
                <i class="far fa-clock"></i> 3h 56m  Beginner
              </div>
              <div class="font-weight-bold">
                $600 <s class="text-secondary">$750</s>
              </div>
            </div>
            <div class="card-footer bg-footer d-flex justify-content-between form-inline">
              <img src="./images/teacher/juanita_bell.jpg" alt="avatar1" class="img-avatar">
                 <div class="name-teacher">Juanita Bell </div>  
                 <i class="fas fa-bookmark text-right"></i>
            </div>
          </div>
          
          <div class="card pointer">
            <img src="./images/courses/course-python.jpg" alt="python">
            <div class="card-body">
              <h5 class="text-info">The Python Course: build web application</h5>
              <div class="">
                <i class="far fa-clock"></i> 4h 30m  Advanced
              </div>
              <div class="font-weight-bold">
                $900 <s class="text-secondary">$1050</s>
              </div>
            </div>
            <div class="card-footer bg-footer d-flex justify-content-between form-inline">
              <img src="./images/teacher/claire_robertson.jpg" alt="avatar1" class="img-avatar">
                 <div class="name-teacher">Claire Robertson </div>  
                 <i class="fas fa-bookmark text-right"></i>
            </div>
          </div> -->
      </div>
    </div>
  </div>
  <!-- 4. Footer -->
  <div class=" card-footer" style="background-color: #AFDCF1;">
    <div class="container">
      <div class="row form-inline ">
        <div class="col-sm-6 d-flex justify-content-center form-inline">
          <i class="far fa-copyright mr-2"></i> 2021 Ionic Course365. All Rights Reserved.
        </div>
        <div class="col-sm-6">
          <div class="navbar-expand navbar justify-content-end font-weight-bold">
            <a class="nav-item mr-3" href="#">Privacy</a>
            <a class="nav-item mr-3" href="#">Terms</a>
            <a class="nav-item mr-3" href="#">Feedback</a>
            <a class="nav-item mr-3" href="#">Support</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</body>

</html>
<script>
  $(document).ready(function () {
    function LoadingPopular(Data) {
      var vContern = "";
      for (var bI = 0; bI < Data.length; bI++) {
        if (Data[bI].isPopular == true) {
          vContern += `<div class="card pointer">
                <img src= ${Data[bI].coverImage} alt="angular">
                <div class="card-body">
                <h5 class="text-info">${Data[bI].courseName}</h5>
                <div class="">
                    <i class="far fa-clock"></i> ${Data[bI].duration} ${Data[bI].level}
                </div>
                <div class="font-weight-bold">
                    ${Data[bI].discountPrice} <s class="text-secondary">${Data[bI].price}</s>
                </div>
                </div>
                <div class="card-footer bg-footer d-flex justify-content-between form-inline">
                <img src= ${Data[bI].teacherPhoto} class="img-avatar">
                    <div class="name-teacher">${Data[bI].teacherName} </div>  
                    <i class="fas fa-bookmark text-right"></i>
                </div>
            </div>`
        }
      }
      $("#popular").html(vContern);
      //console.log(vContern);
    }
    LoadingPopular(gCoursesDB.courses);

    function LoadingTrending(Data) {
      var vTreding = "";
      for (var bI = 0; bI < Data.length; bI++) {
        if (Data[bI].isTrending == true) {
          vTreding += `<div class="card pointer">
            <img src= ${Data[bI].coverImage} alt="angular">
            <div class="card-body">
              <h5 class="text-info">${Data[bI].courseName}</h5>
              <div class="">
                <i class="far fa-clock"></i> ${Data[bI].duration} ${Data[bI].level}
              </div>
              <div class="font-weight-bold">
                ${Data[bI].discountPrice} <s class="text-secondary">${Data[bI].price}</s>
              </div>
            </div>
            <div class="card-footer bg-footer d-flex justify-content-between form-inline">
              <img src= ${Data[bI].teacherPhoto} class="img-avatar">
                 <div class="name-teacher">${Data[bI].teacherName} </div>  
                 <i class="fas fa-bookmark text-right"></i>
            </div>
          </div>`
        }
      }
      $("#trending").html(vTreding);
      console.log(vTreding);
    }
    LoadingTrending(gCoursesDB.courses);

  })
</script>